/*
 *                      ..::PictoGame::..
 *
 * Copyright (C) Federico Vera 2010-2011 <dktcoding [at] gmail>
 *
 * PictoGame is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or any later
 * version.
 *
 * PictoGame is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package picto.app.interfaces;

/**
 *
 * @author Fido <dktcoding [at] gmail>
 */
public interface Status{
    /**
     * Basic status of a cell, basically it means nothing...
     */
    byte UNKNOWN = 0;

    /**
     * This indicates that the cell is marked indicating that nothing goes
     * in there. (Right click)
     */
    byte EMPTY = 1;

    /**
     * This indicates that the cell is marked indicating that something goes
     * in there. (Left click)
     */
    byte FULL = 2;

    /**
     * This indicates that the text in the header is normal
     */
    byte TEXT_NORMAL = 3;

    /**
     * This indicates that the text in the header is striked
     */
    byte TEXT_CROSSED = 4;
}
