/*
 *                      ..::PictoGame::..
 *
 * Copyright (C) Federico Vera 2010-2011 <dktcoding [at] gmail>
 *
 * PictoGame is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or any later
 * version.
 *
 * PictoGame is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package picto.utils;

import java.io.Serializable;

/**
 * The 'Saver' object is the object that contains all the necessary info
 * to recreate a saved instance of a game.
 *
 * @author Fido <dktcoding [at] gmail>
 */
public class Saver implements Serializable {
    private static final long serialVersionUID = 765238948376589461L;
    private PhraseScrambler ps;
    private byte[] stats;
    private Picto pic;

    public Picto getPic() {
        if (pic != null){
            pic.regenerate();
        }
        return pic;
    }

    public void setPic(Picto pic) {
        this.pic = pic;
    }

    public byte[] getStats() {
        return stats;
    }

    public void setStats(byte[] stats) {
        this.stats = stats;
    }

    public PhraseScrambler getPs() {
        if (ps != null){
            ps.getPic();
        }
        return ps;
    }

    public void setPs(PhraseScrambler ps) {
        this.ps = ps;
    }
}
